<div class="row">
  <div class="col">
    <h1 class="text-center">Tasks</h1>
    <hr />
  </div>
</div>
<div class="row">
  <div class="col-4">
    <app-task-counter></app-task-counter>
  </div>
  <div class="col-8">
    <table class="table table-hover table-sm">
      <thead>
        <tr>
          <th>#</th>
          <th>Name</th>
          <th>Due Date</th>
          <th>Completed</th>
          <th></th>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <th>#</th>
          <th>Name</th>
          <th>Due Date</th>
          <th>Completed</th>
          <th></th>
        </tr>
      </tfoot>
      <tbody>
        <tr *ngFor="let task of tasks">
          <td>{{ task.id }}</td>
          <td>{{ task.name }}</td>
          <td>{{ task.dueDate | date }}</td>
          <td class="text-center">
            <span *ngIf="task.completed; else NotCompleted" class="text-primary"><i class="fa-solid fa-check"></i></span>
            <ng-template #NotCompleted><span class="text-danger"><i class="fa-solid fa-xmark"></i></span></ng-template>
          </td>
          <td>
            <div class="btn-group">
              <button name="toogle-completion" class="btn btn-link link-success" type="button" (click)="toggleCompletionTask(task)">
                <span *ngIf="task.completed; then CompletedIcon else NotCompletedIcon"></span>
                <ng-template #CompletedIcon><i class="fa-solid fa-toggle-on"></i> Toggle</ng-template>
                <ng-template #NotCompletedIcon><i class="fa-solid fa-toggle-off"></i> Toggle</ng-template>
              </button>
              <button name="delete-task" class="btn btn-link link-danger" type="button" (click)="deleteTask(task)">
                <i class="fa-solid fa-xmark"></i> Delete
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
